com.r3corda.protocols / TwoPartyDealProtocol / Floater

# Floater

`class Floater : Primary<StateRef>`

One side of the fixing protocol for an interest rate swap, but could easily be generalised furher.

As per the Fixer, do not infer too much from this class name in terms of business roles. This is just the "side" of the protocol run by the party with the floating leg as a way of deciding who does what in the protocol.

### Constructors

<init> | `Floater(payload: StateRef, otherSessionID: Long, progressTracker: ProgressTracker = Primary.tracker())` One side of the fixing protocol for an interest rate swap, but could easily be generalised furher.

### Properties

myKeyPair | `val myKeyPair: KeyPair`
notaryNode | `val notaryNode: NodeInfo`
otherSessionID | `val otherSessionID: Long`
otherSide | `val otherSide: Party`
payload | `val payload: StateRef`
progressTracker | `val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this protocol is invoked as a sub-protocol of another, then the tracker will be made a child of the current step in the parent. If its null, this protocol doesnt track progress.

### Inherited Properties

topic | `open val topic: String` The topic to use when communicating with other parties. If more than one topic is required then use sub-protocols. Note that this is temporary until protocol sessions are properly implemented.

### Inherited Functions

call | `open fun call(): SignedTransaction` This is where you fill out your business logic.
getPartialTransaction | `fun getPartialTransaction(): UntrustworthyData<SignedTransaction>`
signWithOurKey | `open fun signWithOurKey(partialTX: SignedTransaction): WithKey`
verifyPartialTransaction | `fun verifyPartialTransaction(untrustedPartialTX: UntrustworthyData<SignedTransaction>): SignedTransaction`